Page MenuHomePhabricator

Not required to choose card type in new Ingenico iframe?
Closed, ResolvedPublic4 Story Points

Description

From Sam:

Sadok was testing our payments form and made this discovery, which I've confirmed; + a comment from Peter earlier today indicates that it's more widely known! But to get everyone on the same page:

  • Open payments wiki w/ Ingenico as the processor
  • Enter the required Billing info and select a card type. Then the fun starts
  • Your card type is identified after you begin entering your credit card #
  • If you enter a string of test #s (ex. 3333) an inline error message tells you the card doesn't validate
  • Most weird: You're able to submit a donation using a card type that doesn't match your initial card selection (for ex., I choose American Express but check out via my Mastercard)

So: is specific card selection still required with the new iframe? Or could we remove that step?

From David:
We need the user to take some action on this page to submit their data and load the iframe. Maybe we could swap those buttons for a "continue" button?

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterNo Card Selector Ingenico Variant

Event Timeline

DStrine created this task.Jun 3 2019, 7:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2019, 7:28 PM

@spatton @jrobell @Ppena Like I said we still need a continue button. Do you just want to do this across the board or A/B?

This is a major change, I'm pretty sure it should be an A/B test first if possible.

+1 to what Peter said. Is that a big task, @DStrine?

Pinging this @DStrine, could you give us a time estimate re: implementing this, vs. setting up as a variant we can test?

DStrine changed the point value for this task from 0 to 4.Jul 17 2019, 4:59 PM
Ejegg added a subscriber: Ejegg.Sep 17 2019, 8:17 PM

We're currently depending on this choice to tell Civi which type of credit card was used. When we take these buttons away we'll need to get that data from somewhere the GetHostedCheckoutResponse, under createdPaymentOutput -> payment -> paymentOutput -> cardPaymentMethodSpecificOutput -> paymentProductId.

XenoRyet moved this task from Backlog to Doing on the Fundraising Sprint Sysadmin Kane board.
Ejegg added a subscriber: Cstone.Sep 17 2019, 11:49 PM

@XenoRyet want to work with @Cstone on this? We went over this in tech talk and think we might have worked out a simple way to do it.

Yea, I'll try to catch up with her in the morning. Also spaced on tech-talk, sorry about that.

Change 537775 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[mediawiki/extensions/DonationInterface@master] WIP No Card Selector Ingenico Variant

https://gerrit.wikimedia.org/r/537775

Change 537775 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] No Card Selector Ingenico Variant

https://gerrit.wikimedia.org/r/537775

Cstone closed this task as Resolved.Oct 1 2019, 8:35 PM